Opened 3 years ago

Closed 18 months ago

#55914 closed defect (fixed)

mariadb-10.1, mariadb-10.2: error: ‘strnlen’ was not declared in this scope

Reported by: ryandesign (Ryan Schmidt) Owned by: michaelld (Michael Dickens)
Priority: Normal Milestone:
Component: ports Version:
Keywords: tiger leopard snowleopard Cc:
Port: mariadb-10.1, mariadb-10.2

Description

mariadb-10.1 and mariadb-10.2 fail to build on Snow Leopard and earlier because they use strnlen which was not added to macOS until Lion. Including the snowleopard_fixes 1.0 portgroup should help.

Change History (4)

comment:1 Changed 21 months ago by mf2k (Frank Schima)

Owner: pixilla deleted
Status: newassigned

See #57827

comment:2 Changed 19 months ago by michaelld (Michael Dickens)

Owner: set to michaelld

comment:3 Changed 18 months ago by kencu (Ken)

closed by adding legacysupport to these failed builds.

comment:4 Changed 18 months ago by kencu (Ken)

Resolution: fixed
Status: assignedclosed
Note: See TracTickets for help on using tickets.